Index: src/sas/perspectives/fitting/fitpage.py
===================================================================
--- src/sas/perspectives/fitting/fitpage.py	(revision 60d08fdf658a962963f4abb6acf0d026a6087db6)
+++ src/sas/perspectives/fitting/fitpage.py	(revision d06c34cc03669e6a26b82db94d97c3e490e60c9f)
@@ -268,6 +268,4 @@
         weighting_box.Add(sizer_weighting)
 
-        sizer_fit = wx.GridSizer(2, 5, 2, 6)
-
         # combobox for smear2d accuracy selection
         self.smear_accuracy = wx.ComboBox(self, -1, size=(50, -1),
@@ -282,5 +280,5 @@
 
         #Fit button
-        self.btFit = wx.Button(self, wx.NewId(), 'Fit', size=(88, 25))
+        self.btFit = wx.Button(self, wx.NewId(), 'Fit')
         self.default_bt_colour = self.btFit.GetDefaultAttributes()
         self.btFit.Bind(wx.EVT_BUTTON, self._onFit, id=self.btFit.GetId())
@@ -288,6 +286,6 @@
 
         #General Help button
-        self.btFitHelp = wx.Button(self, -1, 'HELP')
-        self.btFitHelp.SetToolTipString("General Fitting Help.")
+        self.btFitHelp = wx.Button(self, -1, 'Help')
+        self.btFitHelp.SetToolTipString("General fitting help.")
         self.btFitHelp.Bind(wx.EVT_BUTTON, self._onFitHelp)
         
@@ -303,5 +301,5 @@
         self.btSmearHelp = wx.Button(self, -1, '?', style=wx.BU_EXACTFIT,\
                                      size=size_q)
-        self.btSmearHelp.SetToolTipString("Resolution Smearing Help.")
+        self.btSmearHelp.SetToolTipString("Resolution smearing help.")
         self.btSmearHelp.Bind(wx.EVT_BUTTON, self._onSmearHelp)
         
@@ -362,21 +360,8 @@
         self.disable_smearer.SetValue(True)
 
-        # add 4 types of smearing to the sizer
-        # Note from June 14, 2015
-        # removed the extra (10,10) spaces to make room for help.  Actually
-        # don't see the need for those anyway as the wx.LEFT, xx should take
-        # care of spacing anyway though it does not seem to work for some
-        # reason.  Currently leaving as we are in "code freeze" only making
-        # minimal changes necessary for release 3.1.  We probably want to clean
-        # up the whole fitpage (and basepage and fitpanel etc) eventually.
-        #                          ---- PDB
         sizer_smearer.Add(self.disable_smearer, 0, wx.LEFT, 10)
-#        sizer_smearer.Add((10, 10))
         sizer_smearer.Add(self.enable_smearer)
-#        sizer_smearer.Add((10, 10))
         sizer_smearer.Add(self.pinhole_smearer)
-#        sizer_smearer.Add((10, 10))
         sizer_smearer.Add(self.slit_smearer)
-#        sizer_smearer.Add((10, 10))
         sizer_smearer.Add(self.btSmearHelp)
         sizer_smearer.Add((10, 10))
@@ -397,6 +382,5 @@
 
         # Update and Draw button
-        self.draw_button = wx.Button(self, wx.NewId(),
-                                     'Compute', size=(88, 24))
+        self.draw_button = wx.Button(self, wx.NewId(), 'Compute')
         self.draw_button.Bind(wx.EVT_BUTTON, \
                               self._onDraw, id=self.draw_button.GetId())
@@ -414,19 +398,4 @@
         box_description_1 = wx.StaticText(self, -1, '   Chi2/Npts')
         box_description_2 = wx.StaticText(self, -1, 'Npts(Fit)')
-        #box_description_3 = wx.StaticText(self, -1, 'Total Npts')
-        #box_description_3.SetToolTipString( \
-        #                        " Total Npts : total number of data points")
-
-        sizer_fit.Add(box_description_1, 0, 0)
-        sizer_fit.Add(box_description_2, 0, 0)
-        sizer_fit.Add(self.points_sizer, 0, 0)
-        #sizer_fit.Add(box_description_3, 0, 0)
-        sizer_fit.Add(self.draw_button, 0, 0)
-        sizer_fit.Add((-1,5))
-        sizer_fit.Add(self.tcChi, 0, 0)
-        sizer_fit.Add(self.Npts_fit, 0, 0)
-        sizer_fit.Add(self.Npts_total, 0, 0)
-        sizer_fit.Add(self.btFit, 0, 0)
-        sizer_fit.Add(self.btFitHelp, 0, 0)
 
         # StaticText for smear
@@ -576,13 +545,13 @@
         self.qmin.Bind(wx.EVT_TEXT, self.on_qrange_text)
         self.qmax.Bind(wx.EVT_TEXT, self.on_qrange_text)
-        id = wx.NewId()
-        self.reset_qrange = wx.Button(self, id, 'Reset', size=(77, 20))
-
-        self.reset_qrange.Bind(wx.EVT_BUTTON, self.on_reset_clicked, id=id)
+        wx_id = wx.NewId()
+        self.reset_qrange = wx.Button(self, wx_id, 'Reset')
+
+        self.reset_qrange.Bind(wx.EVT_BUTTON, self.on_reset_clicked, id=wx_id)
         self.reset_qrange.SetToolTipString("Reset Q range to the default")
 
-        sizer = wx.GridSizer(2, 4, 2, 6)
-
-        self.btEditMask = wx.Button(self, wx.NewId(), 'Editor', size=(88, 23))
+        sizer = wx.GridSizer(5, 5, 2, 6)
+
+        self.btEditMask = wx.Button(self, wx.NewId(), 'Editor')
         self.btEditMask.Bind(wx.EVT_BUTTON, self._onMask,
                              id=self.btEditMask.GetId())
@@ -594,15 +563,28 @@
         sizer.Add(wx.StaticText(self, -1, ' Max[1/A]'))
         sizer.Add(self.EditMask_title)
+        sizer.Add((-1,5))
+
         sizer.Add(self.reset_qrange)
         sizer.Add(self.qmin)
         sizer.Add(self.qmax)
-        #sizer.Add(self.theory_npts_tcrtl)
         sizer.Add(self.btEditMask)
+        sizer.Add((-1,5))
+
+        sizer.AddMany(5*[(-1,5)])
+
+        sizer.Add(box_description_1, 0, 0)
+        sizer.Add(box_description_2, 0, 0)
+        sizer.Add(self.points_sizer, 0, 0)
+        sizer.Add(self.draw_button, 0, 0)
+        sizer.Add((-1,5))
+        
+        sizer.Add(self.tcChi, 0, 0)
+        sizer.Add(self.Npts_fit, 0, 0)
+        sizer.Add(self.Npts_total, 0, 0)
+        sizer.Add(self.btFit, 0, 0)
+        sizer.Add(self.btFitHelp, 0, 0)
+        
         boxsizer_range.Add(sizer_chi2)
-        boxsizer_range.Add((10, 10))
         boxsizer_range.Add(sizer)
-
-        boxsizer_range.Add((10, 15))
-        boxsizer_range.Add(sizer_fit)
         if is_2Ddata:
             self.btEditMask.Enable()
